#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstAudio.Objects.AudioBaseSink where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AudioBaseSink = AudioBaseSink (ManagedPtr AudioBaseSink)
instance GObject AudioBaseSink where
class (GObject o, O.IsDescendantOf AudioBaseSink o) => IsAudioBaseSink o
instance (GObject o, O.IsDescendantOf AudioBaseSink o) => IsAudioBaseSink o
instance O.HasParentTypes AudioBaseSink
#if ENABLE_OVERLOADING
data AudioBaseSinkAlignmentThresholdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkBufferTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkCanActivatePullPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkDiscontWaitPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkDriftTolerancePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkLatencyTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkProvideClockPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSlaveMethodPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkCreateRingbufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkGetAlignmentThresholdMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkGetDiscontWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkGetDriftToleranceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkGetProvideClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkGetSlaveMethodMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkReportDeviceFailureMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetAlignmentThresholdMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetCustomSlavingCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetDiscontWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetDriftToleranceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetProvideClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioBaseSinkSetSlaveMethodMethodInfo
#endif
