#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstAudio.Structs.AudioConverter where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AudioConverter = AudioConverter (ManagedPtr AudioConverter)
instance BoxedObject AudioConverter where
#if ENABLE_OVERLOADING
data AudioConverterConvertMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterGetConfigMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterGetInFramesMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterGetMaxLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterGetOutFramesMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterIsPassthroughMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterSamplesMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterSupportsInplaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioConverterUpdateConfigMethodInfo
#endif
